
// Init all tab widgets upon load
$(document).ready(function () {

    // For each tab set
    $('.tabs').each(function () {
        var $tabs = $(this);

        // Tab state storage
        var $state = $tabs.find('.tab-state');

        // Wire up tab button clicks
        $tabs.find('.tab-button').click(function () {

            // Hide all tabs
            $tabs.find('.tab-button').each(function () {
                $(this).removeClass('active');
            });
            $tabs.find('.tab-content').each(function () {
                $(this).removeClass('active');
            });

            // Activate the clicked tab
            $button = $(this);
            $('#' + $button.data('contentid')).addClass('active');
            $state.val($button.data('contentid'));
            $button.addClass('active');

        });

    });
});
